Skip to main content
PUT
/
v1
/
features
/
{code}
Update feature
curl --request PUT \
  --url https://api.hyperline.co/v1/features/{code} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value_type": "boolean",
  "name": "Single sign-on",
  "description": "Allow users to authenticate with SAML SSO.",
  "default_value": false
}
'
import requests

url = "https://api.hyperline.co/v1/features/{code}"

payload = {
"value_type": "boolean",
"name": "Single sign-on",
"description": "Allow users to authenticate with SAML SSO.",
"default_value": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
value_type: 'boolean',
name: 'Single sign-on',
description: 'Allow users to authenticate with SAML SSO.',
default_value: false
})
};

fetch('https://api.hyperline.co/v1/features/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": "sso",
  "name": "Single sign-on",
  "description": "Allow users to authenticate with SAML SSO.",
  "resolution_strategy": null,
  "default_value": false,
  "status": "active",
  "created_at": "2024-12-20T16:04:11Z",
  "updated_at": "2024-12-20T16:04:11Z",
  "archived_at": null
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

code
string
required

Body

application/json

Feature update payload.

value_type
enum<string>
required
Available options:
boolean
name
string

Feature name.

Minimum string length: 1
Example:

"Single sign-on"

description
string | null

Feature description.

Example:

"Allow users to authenticate with SAML SSO."

default_value
boolean | null

Default value used when no product or customer feature value applies. Null means no default.

Example:

false

Response

code
string
required

Feature code.

Example:

"sso"

name
string
required

Feature name.

Example:

"Single sign-on"

description
string | null
required

Feature description.

Example:

"Allow users to authenticate with SAML SSO."

value_type
enum<string>
required

Type of feature value.

Available options:
boolean,
number
resolution_strategy
enum<string> | null
required

Strategy used to combine multiple product feature values for number features.

Available options:
max,
sum,
replace
Example:

null

default_value
required

Default value used when no product or customer feature value applies. Null means no default.

Example:

false

status
enum<string>
required

Feature status.

Available options:
active,
archived
Example:

"active"

created_at
string<date-time>
required

Creation date.

Example:

"2024-12-20T16:04:11Z"

updated_at
string<date-time>
required

Last update date.

Example:

"2024-12-20T16:04:11Z"

archived_at
string<date-time> | null
required

Archival date.

Example:

null